#
# spec file for package libmlx5-rdmav2
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmlx5-rdmav2
Summary:        Mellanox ConnectX-IB InfiniBand HCA Userspace Driver
License:        GPL-2.0 or BSD-2-Clause
Group:          System/Libraries
Version:        1.0.2
Release:        5.5
Url:            http://www.openfabrics.org
Source:         www.openfabrics.org/downloads/mlx5/libmlx5-%{version}.tar.gz
Patch0:         libmlx5-no_werror.patch
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libibverbs-devel >= 1.1-0.1.rc2
BuildRequires:  libtool

Supplements:    modalias(pci:v000015B3d00001011sv*sd*bc*sc*i*)

%description
libmlx5 provides a device-specific userspace driver for Mellanox
ConnectX HCAs for use with the libibverbs library.

%prep
%setup -q -n libmlx5-%{version}
%patch0

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/libmlx5.{la,so}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libmlx5-rdmav2.so
%dir %_sysconfdir/libibverbs.d
%config %{_sysconfdir}/libibverbs.d/mlx5.driver

%changelog
* Wed Feb 11 2015 p.drouand@gmail.com
- Update to version 1.0.2
  * Fix micro UAR allocator
  * Add support for resize CQ
- Update libmlx5-no_werror.patch
* Mon Sep 22 2014 pth@suse.de
- Add -fi to autoreconf call.
* Fri Sep 19 2014 pth@suse.de
- Run autoreconf so that libmlx5-no_werror.patch can work.
* Mon Sep  8 2014 pth@suse.de
- Tag baselibs.conf as source.
* Thu Sep  4 2014 pth@suse.de
- Add libmlx5-no_werror.patch in order to not use -Werror as it'll
  break the build on s390x.
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Mon Feb  3 2014 pth@suse.de
- Update to 1.0.1, no change log in source.
* Fri Jan 31 2014 pth@suse.de
- No devel package as this is a plugin.
* Wed Jan 29 2014 pth@suse.de
- Add Supplements for the PCI ID the kernel supports.
* Fri Jan 17 2014 pth@suse.de
- Initial package
